<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.inkasso.factoring.salesManagement.dao.CSalesContractGoodsInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.inkasso.factoring.salesManagement.entity.CSalesContractGoodsInfo">
        <id column="id" property="id" />
        <result column="c_sales_contract_goods_info_id" property="cSalesContractGoodsInfoId" />
        <result column="goods_name" property="goodsName" />
        <result column="goods_factory" property="goodsFactory" />
        <result column="model_number" property="modelNumber" />
        <result column="units" property="units" />
        <result column="quantity" property="quantity" />
        <result column="is_clear_price" property="isClearPrice" />
        <result column="sales_price" property="salesPrice" />
        <result column="remark" property="remark" />
        <result column="user_create" property="userCreate" />
        <result column="user_modified" property="userModified" />
        <result column="gmt_create" property="gmtCreate" />
        <result column="gmt_modified" property="gmtModified" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, c_sales_contract_goods_info_id, goods_name, goods_factory, model_number, units, quantity, is_clear_price, sales_price, remark, user_create, user_modified, gmt_create, gmt_modified
    </sql>

</mapper>
